This game will require the following software applications. You must have administrator access to install software on to your computer. If you have problems installing the software, please contact your system administrator.

Flash Player 8 (or above)
   
A VRML Viewer
   
Internet Explorer (other browsers are not supported)
   
Speakers or Headphones are required.

Click on the link for a full list of the System Requirements

For more information about the game, including its aims and sponsors, please visit the LogiCity home page.